#ifndef __Helpers_H__
#define __Helpers_H__

#include <cstdlib>
#include <cmath>

inline double fRand()
{
	return (((double)rand() - (double)rand()) / RAND_MAX);
}

inline void normalize(double &x)
{
	x = (1.0 / (1.0 + exp(-x))); // We want x goes 0 thru 1
}

#endif /* __Helpers_H__ */

