#include "Layer.h"

using namespace std;

void Layer::save(ostream &out)
{
	out << neuronCount << endl;
	for (int i = 0; i < neuronCount; i++)
		neurons[i].save(out);
}

void Layer::load(istream &in)
{
	in >> neuronCount;
	neurons = new Neuron[neuronCount];
	for (int i = 0; i < neuronCount; i++)
		neurons[i].load(in);
}

void Layer::init(int neuronCount, int nextLayerNeuronCount)
{
	this->neuronCount = neuronCount;
	neurons = new Neuron[neuronCount];

	for (int i = 0; i < neuronCount; i++)
		neurons[i].init(nextLayerNeuronCount);
}
