#include <istream>
#include <ostream>

#include "Neuron.h"
#include "Helpers.h"

using namespace std;

void Neuron::save(ostream &out)
{
	out << bias << endl;
	out << value << endl;
	out << connectionCount << endl;
	for (int i = 0; i < connectionCount; i++)
		out << connections[i] << endl;
}

void Neuron::load(istream &in)
{
	in >> bias;
	in >> value;
	in >> connectionCount;
	connections = new double[connectionCount];
	for (int i = 0; i < connectionCount; i++)
		in >> connections[i];
}

void Neuron::init(int connectionCount)
{
	this->connectionCount = connectionCount;
	connections = new double[connectionCount];
	for (int i = 0; i < connectionCount; i++)
		connections[i] = fRand();
	bias = fRand();
	value = fRand();
	delta = 0;
}

