#ifndef __Layer_H__
#define __Layer_H__

#include "Neuron.h"

#include <ostream>
#include <istream>

class Layer
{
public:
	Neuron *neurons;
	int neuronCount;

	~Layer()
	{
		delete[] neurons;
	}

	void init(int neuronCount = 0, int nextLayerNeuronCount = 0);
	void save(std::ostream &out);
	void load(std::istream &in);
};


#endif /* __Layer_H__ */

