#ifndef __Neuron_H__
#define __Neuron_H__

#include <ostream>
#include <istream>

class Neuron
{
public:
	double *connections; // This is weight of edges
	int connectionCount;
	
	double bias;
	double value;

	double delta; // used for training algorithm

	~Neuron()
	{
		delete[] connections;
	}

	void init(int connectionCount = 0);
	void save(std::ostream &out);
	void load(std::istream &in);
};

#endif /* __Neuron_H__ */
